Details

    • Template:
    • Acceptance Criteria:
      Hide
      • Puppet 6 agents build with vendored openssl 1.1.0

      [X] EL variant Linux (aarch failure separately ticketed)
      [X] SLES variant Linux
      [X] Debian variant Linux
      [X] cross-compiled Linux
      [X] MacOS
      [ ] AIX
      [X] Windows
      [X] Solaris

      Show
      Puppet 6 agents build with vendored openssl 1.1.0 [X] EL variant Linux (aarch failure separately ticketed) [X] SLES variant Linux [X] Debian variant Linux [X] cross-compiled Linux [X] MacOS [ ] AIX [X] Windows [X] Solaris
    • Team:
      Platform OS
    • Sprint:
      Platform OS Kanban
    • Release Notes:
      New Feature
    • Release Notes Summary:
      We have updated the version of OpenSSL used in puppet-agent to version 1.1.0h.
    • QA Risk Assessment:
      Needs Assessment

      Description

      In preparation for the openssl support cycle, we should update to openssl 1.1.0 for puppet 6.0.0.

      This will be a major change for the agent, so care will need to be taken to ensure the agent doesn't break the world.

        Attachments

          Issue Links

            Activity

              jsd-sla-details-panel

                People

                • Assignee:
                  sean.mcdonald Sean McDonald
                  Reporter:
                  sean.mcdonald Sean McDonald
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  1 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved:

                    Zendesk Support